services:
###> doctrine/doctrine-bundle ###
  edu_v2_database:
    image: mariadb:10.5
    container_name: edu_v2_database
    environment:
      MYSQL_DATABASE: ${MYSQL_DATABASE:-app}
      # You should definitely change the password in production
      MYSQL_ROOT_PASSWORD: ${MYSQL_ROOT_PASSWORD:-!ChangeMe!}
      MYSQL_USER: ${MYSQL_USER:-app}
      MYSQL_PASSWORD: ${MYSQL_PASSWORD:-!ChangeMe!}
    volumes:
      - database_data:/var/lib/mysql:rw
    ports:
      - "3308:3306"
    networks:
      - edu_v2_network
###< doctrine/doctrine-bundle ###

###> symfony/mailer ###
  edu_v2_mailer:
    image: axllent/mailpit
    container_name: edu_v2_mailpit
    ports:
      - "3125:1025"
      - "9125:8025"
    environment:
      MP_SMTP_AUTH_ACCEPT_ANY: 1
      MP_SMTP_AUTH_ALLOW_INSECURE: 1
###< symfony/mailer ###
    networks:
      - edu_v2_network
volumes:
###> doctrine/doctrine-bundle ###
  database_data:
###< doctrine/doctrine-bundle ###

networks:
  edu_v2_network:
    driver: bridge